{
    attributes = (
        {
            columnName = CBUD_HT_SAISIE; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = ABUD_HT_SAISIE; }; 
            name = cbudHtSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = CBUD_ID; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = ABUD_ID; }; 
            name = cbudId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = CBUD_MONTANT_BUDGETAIRE; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = ABUD_MONTANT_BUDGETAIRE; }; 
            name = cbudMontantBudgetaire; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = CBUD_TTC_SAISIE; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = ABUD_TTC_SAISIE; }; 
            name = cbudTtcSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = CBUD_TVA_SAISIE; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = ABUD_TVA_SAISIE; }; 
            name = cbudTvaSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = COMM_ID; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = ART_ID; }; 
            name = commId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = EXE_ORDRE; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = ""; }; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = ORG_ID; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = org_id; }; 
            name = orgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = TAP_ID; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = tap_id; }; 
            name = tapId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = TCD_ORDRE; 
            externalType = NUMBER; 
            name = tcdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        cbudId, 
        commId, 
        cbudMontantBudgetaire, 
        cbudHtSaisie, 
        cbudTvaSaisie, 
        cbudTtcSaisie, 
        orgId, 
        tapId, 
        tcdOrdre, 
        exeOrdre
    ); 
    className = org.cocktail.fwkcktldepense.server.metier.EOCommandeBudget; 
    classProperties = (
        cbudMontantBudgetaire, 
        cbudHtSaisie, 
        cbudTvaSaisie, 
        cbudTtcSaisie, 
        commande, 
        commandeControleActions, 
        commandeControleAnalytiques, 
        commandeControlePlanComptables, 
        exercice, 
        organ, 
        tauxProrata, 
        typeCredit, 
        commandeControleConventions, 
        commandeControleHorsMarches, 
        commandeControleMarches
    ); 
     externalName = JEFY_DEPENSE.COMMANDE_BUDGET; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (
            abudMontantBudgetaire, 
            abudMontantBudgetaireReste, 
            abudHtSaisie, 
            abudTvaSaisie, 
            abudTtcSaisie, 
            articleCtrlActions, 
            articleCtrlAnalytiques, 
            articleCtrlHorsMarches, 
            articleCtrlMarches, 
            articleCtrlPlancos, 
            exercice, 
            article, 
            engagementBudget, 
            organ, 
            tauxProrata, 
            typeCredit, 
            articleCtrlActions, 
            articleCtrlAnalytiques, 
            articleCtrlHorsMarches, 
            articleCtrlMarches, 
            articleCtrlPlancos, 
            articleControleActions, 
            articleControleAnalytiques, 
            articleControleHorsMarches, 
            articleControleMarches, 
            articleControlePlancos, 
            articleControlePlanComptables, 
            convention, 
            cbudTvaSaisie, 
            cbudHtSaisie, 
            cbudMontantBudgetaire, 
            cbudTtcSaisie, 
            commandeControlePlanComptables, 
            commandeControleAnalytiques, 
            commandeControleActions, 
            commande, 
            convention, 
            exercice, 
            organ, 
            tauxProrata, 
            typeCredit, 
            articleBudget, 
            articleBudgets, 
            commandeControleConvention, 
            commandeControleConventions, 
            commandeControleHorsMarches, 
            commandeControleMarche, 
            commandeControleMarches
        ); 
        _javaClientClassName = org.cocktail.fwkcktldepense.client.metier.EOCommandeBudget; 
    }; 
    name = FwkCaramboleCommandeBudget; 
    primaryKeyAttributes = (cbudId); 
    relationships = (
        {
            destination = FwkCaramboleCommande; 
            internalInfo = {_nameInObjectStore = article; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = commId; sourceAttribute = commId; }); 
            name = commande; 
        }, 
        {
            destination = FwkCaramboleCommandeControleAction; 
            internalInfo = {_nameInObjectStore = articleControleActions; }; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cbudId; sourceAttribute = cbudId; }); 
            name = commandeControleActions; 
            numberOfToManyFaultsToBatchFetch = 5; 
        }, 
        {
            destination = FwkCaramboleCommandeControleAnalytique; 
            internalInfo = {_nameInObjectStore = articleControleAnalytiques; }; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cbudId; sourceAttribute = cbudId; }); 
            name = commandeControleAnalytiques; 
            numberOfToManyFaultsToBatchFetch = 5; 
        }, 
        {
            destination = FwkCaramboleCommandeControleConvention; 
            internalInfo = {_nameInObjectStore = commandeControleConvention; }; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cbudId; sourceAttribute = cbudId; }); 
            name = commandeControleConventions; 
        }, 
        {
            destination = FwkCaramboleCommandeControleHorsMarche; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cbudId; sourceAttribute = cbudId; }); 
            name = commandeControleHorsMarches; 
        }, 
        {
            destination = FwkCaramboleCommandeControleMarche; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cbudId; sourceAttribute = cbudId; }); 
            name = commandeControleMarches; 
        }, 
        {
            destination = FwkCaramboleCommandeControlePlanComptable; 
            internalInfo = {_nameInObjectStore = articleControlePlanComptables; }; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cbudId; sourceAttribute = cbudId; }); 
            name = commandeControlePlanComptables; 
            numberOfToManyFaultsToBatchFetch = 5; 
        }, 
        {
            destination = FwkCaramboleExercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = FwkCaramboleOrgan; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = organ; 
        }, 
        {
            destination = FwkCaramboleTauxProrata; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tapId; sourceAttribute = tapId; }); 
            name = tauxProrata; 
        }, 
        {
            destination = FwkCaramboleTypeCredit; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcdOrdre; sourceAttribute = tcdOrdre; }); 
            name = typeCredit; 
        }
    ); 
}
